Ubuntu

After update to 2.6.24-23 on Acer Aspire One netbook; Kernel panic - not syncing - attempted to kill init!

Reported by Dan Smith on 2009-01-29
74
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Stefan Bader
Hardy
High
Stefan Bader

Bug Description

After running the latest updates on my Ubuntu Hardy (8.04.2) installation, I rebooted my computer and was met with a multitude of errors which resulted in a kernel panic. The error messages said something about virtual memory and paging and invalid addresses, and then had the following at the end: kernel panic - not syncing - attempted to kill init. After which I couldn't do anything of course.

I'm attaching the output of the commands requested, however I was unable to boot into the 2.6.24-23 image, so all of the information contained is probably going to be inconsistent with what you're looking for. I'll be happy to provide additional logging upon request.

ProblemType: Bug
Architecture: i386
Date: Thu Jan 29 13:47:21 2009
Dependencies:

DistroRelease: Ubuntu 8.04
NonfreeKernelModules: ath_hal
Package: linux None [modified: /var/lib/dpkg/info/linux.list]
PackageArchitecture: i386
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: linux-meta
Uname: Linux 2.6.24-22-generic i686

---

Work-around: Booting with "mem=nopentium" prevents the crash.

Thanks for reporting this bug and any supporting documentation. Since this bug has enough information provided for a developer to begin work, I'm going to mark it as confirmed and let them handle it from here.

I am confirming this and making importance high, since it does not allow individuals with the Acer Aspire One to upgrade to the latest Hardy 8.04 kernel. There is more information available at http://ubuntuforums.org/showthread.php?p=6637549

It would be better if an 'strace' could be obtained, perhaps using a tty terminal through Ctrl+Alt+F2. See https://wiki.ubuntu.com/Strace

Thanks for taking the time to make Ubuntu better!

Changed in linux-meta:
importance: Undecided → High
status: New → Triaged
Trimtab (atrimtab) wrote :

I want to confirm this also happened on my Acer Aspire One after today's update. I can type this because I also have an earlier (2.6.24-19-generic) kernel on the Aspire One. Here is the update history from Synaptic from right before the kernel panic started:

Commit Log for Thu Jan 29 14:11:32 2009

Upgraded the following packages:
acpid (1.0.4-5ubuntu9) to 1.0.4-5ubuntu9.1
evolution-data-server (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
evolution-data-server-common (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libcamel1.2-11 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libebook1.2-9 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libecal1.2-7 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libedata-book1.2-2 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libedata-cal1.2-6 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libedataserver1.2-9 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libedataserverui1.2-8 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libegroupwise1.2-13 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libexchange-storage1.2-3 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libgdata-google1.2-1 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libgdata1.2-1 (2.22.3-0ubuntu2) to 2.22.3-0ubuntu3
libldap-2.4-2 (2.4.9-0ubuntu0.8.04.1) to 2.4.9-0ubuntu0.8.04.2
linux-headers-2.6.24-23 (2.6.24-23.46) to 2.6.24-23.48
linux-headers-2.6.24-23-generic (2.6.24-23.46) to 2.6.24-23.48
linux-image-2.6.24-23-generic (2.6.24-23.46) to 2.6.24-23.48
linux-libc-dev (2.6.24-23.46) to 2.6.24-23.48
python-apt (0.7.4ubuntu7.3) to 0.7.4ubuntu7.4
python-gobject (2.14.2-0ubuntu1) to 2.14.2-0ubuntu2
vim-common (1:7.1-138+1ubuntu3) to 1:7.1-138+1ubuntu3.1
vim-tiny (1:7.1-138+1ubuntu3) to 1:7.1-138+1ubuntu3.1

I suspect the linux-image update is at fault. Thx.

Stefan Bader (smb) wrote :

We need more information to get this solved. Try booting the new kernel without the splash screen active (remove that option from the grub menu). If possible try to get (take a picture or write down) the messages at the beginning. If the terminal is not changed during boot (shift pg up/down might let you scroll a bit).
Try the option "pause_on_oops=<nr secs>" to delay the processing whenever an oops occurs. This would give time to note down information. One usual suspect at that point: try to boot with "acpi=off" to see whether we got problems in that area.

Changed in linux-meta:
status: Triaged → Incomplete
Pjotr12345 (computertip) wrote :

I have the same problem on my Acer Aspire One. Booting with acpi=off solves the problem, thank God! :-)

Dan Smith (mrdanpsmith) wrote :

I was able to reboot the machine for you this morning without the splash screen on in the new kernel image and I retrieved the following messages from the call trace on:

Call Trace:
ktime_get
hrtimer_interrupt
smp_apic_timer_interrupt
die+0x1ac
do_page_fault
do_page_fault
error_code
change_page_attr
raise_softirq_irqoff
global_flush_tlb
init_post
kernel_init
ret_from_fork
kernel_init
kernel_init
Kernel_thread_helper

EIP: msecs_to_jiffies
Kernel panic - not syncing: Fatal exception in interrupt

I can also confirm that booting with acpi=off does seem to allow the computer to boot. So I guess they don't call them the usual suspects for nothing.

Let me know if you need anything else.

Stefan Bader (smb) on 2009-01-30
Changed in linux-meta:
assignee: nobody → stefan-bader-canonical
status: Incomplete → In Progress
Pjotr12345 (computertip) wrote :

Booting with "acpi=off" fails sometimes on my Acer Aspire One. Usually it goes well, but approximately every fifth boot results in the same kernel panic.

So "acpi=off" works about 80 % of the time for me, but not always.

Miguel Ramiro (mike.longbow) wrote :

I can confirm this. Same machine, same architecture, same kernel and such.

I've manage to get my system working again by booting into a live usb and chrooting into my system to install linux-image-2.6.24-23-generic_2.6.24-23.46_i386.deb, my previous kernel.

The problem seems to be the new package: linux-image-2.6.24-23-generic_2.6.24-23.48_i386.deb.

I'm attaching a screenshot of the error I took a few minutes ago. It has not a great resolution, though, but I hope it helps...

Pjotr12345 (computertip) wrote :

Here is a screenshot of the kernel panic on my machine (perhaps a little more readable than Mike's).

fleegix (mde) wrote :

Just piling on -- was dismayed to see this with my AAO as well. Would love to see this get fixed pretty quickly. Glad I can boot with the older kernel.

LeeU (leeu) wrote :

The "acpi=off" doesn't always work for me either. I can, however, run from the previous kernel. Is there a way to go back to the previous kernel permanently (at least until this is worked out so I don't have to keep changing it at boot-up)?

Dan Smith (mrdanpsmith) wrote :

Grub just boots off of the first kernel image in /boot/grub/menu.lst, if you comment out the latest kernel image and recovery mode (by prefacing the lines with #) grub will automatically boot into the first image listed in that file. I'd recommend backing up that file first, however, in case something goes wrong.

Stefan Bader (smb) wrote :

From all the comments this even might be a timing problem that came up. Somehow some lines of the stack tracke look like it is happening at the point in time when some kernel data is made read-only. Just to confirm the delta. Dis all of you upgrade from -23.46?

Pjotr12345 (computertip) wrote :

I did a clean installation of 8.04.2 (the second point release of Hardy, which appeared on January 22). This worked fine, until I applied the available updates, which caused the kernel panic.

Pjotr12345 (computertip) wrote :

To make my previous message complete: the kernel version in the 8.04.2 point release, which worked fine on my AAO before the updates which appeared several days *after* January 22, is not 23-46-generic but 24-23-generic.

So mine was not an upgraded kernel.

iouri (lionel-vaux) wrote :

Same problem for me: upgrading from 2.6.24-23.46 to 2.6.24-23.48 led to the kernel panic message displayed in Pjotr12345's screenshot. Downgrading to 2.6.24-23.46 solved the problem:

$ sudo dpkg -i /var/cache/apt/archives/linux-image-2.6.24-23-generic_2.6.24-23.46_i386.deb

Pjotr12345 (computertip) wrote :

@iouri: your command doesn't work for me, because my apt cache is flushed empty after each succesful installation. Nothing in the cache, therefore.

Where can I get linux-image-2.6.24-23-generic_2.6.24-23.46_i386.deb now?

Pjotr12345 (computertip) wrote :

Great! Thanks, iouri!

I certainly hope that this emergency measure will not be necessary for long. Something like this really shouldn't happen in a mature LTS version like Hardy. And if it does happen, it should be fixed with great speed.

Stefan Bader, can you give us an indication when it will be fixed?

PeterMilan (pierepis) wrote :

I had the same kernel panic problem on my Acer Aspire One with Kubuntu 8.04-Alternate just after my last kernel update, with an additional issue, however: upon initial installation I had chosen to encrypt my hard drive (brilliant idea !!), hence I cannot even see the GRUB sequence at boot-up.
All I see is the kernel panic screen as soon as I power on.
Has anyone any sort of creative idea over how I could recover my encrypted hard drive ?

Stefan Bader (smb) wrote :

@Pjotr12345

I got an Aspire One here now and try to get to the bottom of the issue. It is hard to tell how long this will exactly take since I will have to capture the starting of the panic. There is more escaping the screen. But I am on it. For the time until then i found that using "hpet=disable" as well as "highres=off" can make a successful boot. Even running on battery power can make it happen in a few cases (though much less often).

Stefan Bader (smb) wrote :

@PeterMilan,

you should still be able to add those option to GRUB. On boot press escape as soon as the grub timer starts. On the second line you can enter with 'e', add options, press escape and then boot with 'b'.

fleegix (mde) wrote :

Stefan, glad to see someone jumping on this. I realize this is open source -- but Hardy is LTS, so it's nice to see a bug this big, on a platform as visible as the AAO, is getting some immediate attention. Thanks!

LeeU (leeu) wrote :

Stefan,

I was able to get it to boot by adding these ("acpi=off", "hpet=disable", and "highres=off"), however, it didn't shutdown correctly. I then tried changing the menu.lst, as suggested by Dan Dmith here: https://answers.launchpad.net/ubuntu/+question/59086 . That works fine but now I have lost my wireless. I'm guessing it's due to the changes when the kernal was upgraded. Any suggestion on how to get the wireless back after changing the menu.lst?

Dan Smith (mrdanpsmith) wrote :

LeeU, what wireless drivers are you using? Mine are the madwifi drivers that I compile manually. I think if you're using some type of built in wireless than someone else should probably suggest a workaround for that, as I think the drivers get migrated automatically somehow from kernel version to kernel version so you don't have to worry about recompiling when the kernel image changes (as I do currently). However, you should be able to get the madwifi drivers to work in Hardy fine if you decide to compile them from source (I personally couldn't stand the drivers in the backports for Intrepid, and it actually led to me downgrading my system back to Hardy). But my wireless worked fine as soon as I booted into the previous image because they had already been compiled for that version.

In summary, if you are using a built in package for wireless then I'm not sure how you migrate that back to the previous package, otherwise if you recompile the driver it should work. I'm also assuming that you are running Hardy, because I've had no luck getting the madwifi drivers to work in Intrepid.

PeterMilan (pierepis) wrote :

@ Stefan Bader
A huge thank you. I easily managed to login following your directions, namely just by pressing escape on boot and choosing previous kernel version. I had all my backups in there, just imagine the mess if I lost them....

BobEdwards (bob-cs) wrote :

I also have this problem, caused by the same update process (thanks to those who have already
identified it and posted solutions here). I don;t have the previous kernel in my /boot area and at this time I am unable to download a live USB-storage image, so I am trying to boot with modified GRUB kernel command line settings.

Alas, I am unsure of the precise syntax of how they should be put on the kernel command line in GRUB. I have tried a variety of options (including ' "acpi=off", "hpet=disable", "highres=off" ' with the quotes and commas etc.) but I still get a kernel panic every time (more-or-less exactly as
reported). Can anyone clarify what exactly I should put on the kernel commandline (and where).

Thanks

BobEdwards (bob-cs) wrote :

Found a USB device, got the hardy live-usb image onto it, booted my AAO, mounted the harddrive
(mine has 120GB), chrooted, dpkg installed the .46 kernel, rebooted and I have my old AAO back.
Thanks again for the tips on this list. Hopefully someone will discover what is causing this kernel panic.

Just to restate, no combination of acpi=off/"acpi=off"/hpet=disable etc. on the kernel commandline would get my AAO to boot with the 2.6.24-23.48 kernel (1GB RAM, 120GB hard drive, came with 'doze XP). Tried it with external power and on batteries. Only way out was to boot from live-USB.

Thanks again for everyone's tips and comments.

Reffman (ventruejusticar) wrote :

Upgraded the Hardy installation to kernel 2.6.24-23 on my Aspire One today, can confirm this bug (obviously not fixed yet). Kernel panic happens directly after GRUB. Clearly readable screenshot is attached, it is much the same, but slightly different from the ones above.

All previous Hardy kernels since the 8.04.1 release worked flawlessly on the AAO. Due to previous experiences with Ubuntu kernel updates wreaking havoc on my systems I keep all previous kernels, so I'll just use 2.6.24-22 in the meantime.

Hope this issue is being adressed...

axydlbaaxr (axydlbaaxr) wrote :

Same issue here, Kernel panic after upgrade on the Aspire One. Same screen as Reffman.

Stefan Bader (smb) wrote :

Sadly I cannot say I really found the root of this issue, yet. It unfortunately shifts if the sizes of the kernel text and rodata change. At least the kernel that I uploaded for other reasons to -proposed (currently building) has been verified to boot normally. This is, or will be, -24.50. So while not finally fixed it is working for now.

Pjotr12345 (computertip) wrote :

@Stefan Bader: thanks for keeping us informed. I'm glad that this upcoming update will probably work... :-)

Can you tell us when -24.50 will be in the normal updates? In other words: when will this new kernel leave "proposed" and be issued as a *normal* update? A rough indication would be nice.

> Can you tell us when -24.50 will be in the normal updates? In other
>
Usually there is a 2-3 weeks delay to see whether the update does not cause
harm. Hopefully there are "one or two" around that can take a look at the
proposed stuff before moving it to updates. ;-)

The current kernel in "proposed" is 2.6.24-23.49 and not 50. Can you give us a warning in this thread, when 50 has arrived in proposed? I'll help with testing then.

> The current kernel in "proposed" is 2.6.24-23.49 and not 50. Can you
> give us a warning in this thread, when 50 has arrived in proposed? I'll
> help with testing then.
>
Right it is probably taking a little while until all the builds are done. I'll
give a shout.

--

When all other means of communication fail, try words!

Exactly the same thing happening to me also in an Acer Aspire One after upgrading the kernel to 2.6.24-23.48. Fortunately an older kernel was left so I can boot and work. From the last comments, I understand that 2.6.24-23.49 in the repository does not solve the problem and we have to wait for 2.6.24-23.50 to fix it.

Hans (hlermen) wrote :

Sorry Stefan, but the bug persists in 2.6.24-24.50:-( It happens about every 10th boot, however,
... but it happens. If you need a snapshot, I took a photo, but I guess you've seen a lot of them ;-)

Pjotr12345 (computertip) wrote :

When will the .50 kernel appear in proposed? I can only test until april 23, because I will replace 8.04 Hardy by 9.04 Jaunty then, on my Acer Aspire One. Mainly because the Atheros wireless chipset will work out of the box in Jaunty.

Reffman (ventruejusticar) wrote :

If the problem persists in newer kernels, it may affect jaunty too? Is there anything like this issue on Intrepid?

Lemuel Formacil (lemuelf) wrote :

No, this issue isn't present in Intrepid.

LeeU (leeu) wrote :

I'm just wondering what updates I can do, if any. I have 262 updates showing but am not sure which are affected by not upgrading to the new kernel nor which ones might actually affect the kernel (except linux-generic, I guess). Or should I just wait do to any updates until this is fixed?

Dimitrios Symeonidis (azimout) wrote :

I would suggest that you do the updates. Kernel updates do not remove the previous version of a kernel, they just add a new one, so you can always tell grub to use an older kernel if the latest one panics...

LeeU (leeu) wrote :

"so you can always tell grub to use an older kernel if the latest one panics..."

Well, we already know that it will. That's the whole purpose of this bug report. Why would I want to go through that again?

LeeU (leeu) wrote :

OK, so I get it now. Download all the updates so I don't have to figure it all out, then roll it back to the previously good kernel.

Reffman (ventruejusticar) wrote :

I would suggest you do as I did. Do not install the buggy kernel update. Go to the menu, select system -> administration ->synaptic and find your installed kernel version. Select it and go to the menu in Synaptic, select package -> lock version. Do the same with the kernel headers. This way it will ignore all future kernel updates, but other packages will install fine.

Heidi Kuzma (hkuzma) wrote :

Help. I'm sorry, I'm a newbie -

I don't see any options other than booting with the cursed kernel in my Grub menu?

How exactly do I apply the acpi=off magic?

Am I supposed to find this fun?

Dimitrios Symeonidis (azimout) wrote :

Heidi, here's how you edit the kernel boot options:
https://help.ubuntu.com/community/BootOptions

It's strange that you only have one kernel in your grub menu. Did you remove previous kernel versions?

Good luck

Reffman (ventruejusticar) wrote :

Previous kernel versions are probably removed if one selects "remove unused packages" in apt. There is also an option in the grub configuration files (and in the Startup-Manager applet) that will limit the number of old kernel versions to be displayed at boot.

To access configuration files from a machine without a booting kernel, boot with a live CD and mount the hard drive.

Heidi, considering your line of work I could be persuaded to think that you might find bug-hunting fun. ;-)

Kuba (kuba-vodafone) wrote :

Hi All,
The situation becomes critical: on my Aspire One I have xubuntu 8.04.03 LTS with the following kernels:
1) 2.6.24-24-generic
2) 2.6.24-23-generic
3) 2.6.24-19-generic
ONLY the last one doesn't crash. I would like to have a patch before the new kernel version update. The work-around "acpi=off"/hpet=disable" doesn't work. Any news on problem fixing ?

Reffman (ventruejusticar) wrote :

This probably isn't helpful, but as nothing seems to be done about this issue, and every new kernel keeps turning up with the same bug, I locked the kernel version in Synaptic so that no kernel versions after 2.6.24.19 were installed. Worked fine for me until recently, when I upgraded to Ubuntu 9.04. The 9.04 version seems to work fine on the Aspire One as long as you do not switch the desktop mode into classic version.

I am starting to agree with a number of users and other large distro providers that Ubuntu's 1/2-yearly update schedule is way too quick, and they keep introducing new bugs that they never get around to fixing because they are already hard at work on the next version. One distribution upgrade a year is more than enough, new software can be introduced through repositories rather than in distro upgrades.

LeeU (leeu) wrote :

"I locked the kernel version in Synaptic so that no kernel versions after 2.6.24.19 were installed."

How did you do that?

LeeU:
open Synaptic Package Manager, hi-lite the package, click on Package in the menu line on top, click on "Lock version".

You can lock the version for any package you want.

LeeU (leeu) wrote :

Ah, yes. That makes sense. Thanks!

Stefan Bader (smb) wrote :

This is not only a issue of time (which is tight), also that bug is quite annoying in that way that it seems to vanish when trying to get more debugging done. Also a big problem is that the aspire one seems the only machine to hit this. Not that this should count as an excuse. Currently I got a kernel rebooting over and over again (though I also had another one rebooting the whole night just to hit the bug once in the morning). It would be nice if some of you could volunteer to try that test kernel at http://people.ubuntu.com/~smb/bug322867/ and could tell me whether you get it crashing. Thanks.

Note, that kernel is back to not having debug messages but trying to force some sort of sync point at the moment of changing the kernel data to read only as adding debug printks at that point made it quite hard to hit anyways. That operation is quite safe with respect to other machines, so it might be a dumb approach to get around this on the aspire one.

Mike Jones (mike-mike-jones) wrote :

Your new test kernel seems to have fixed the problem. I have just rebooted my Aspire One twenty times in a row (a random mixture of restart and shut down/switch on), with no sign of a kernel panic. Thanks!

pc.maint (pc-maint) wrote :

New test kernel works for me too. Thanks for removing an irritation. (AOA150 512MB 120GB)
}:-)>

LeeU (leeu) wrote :

So then, is the permanent solution? If so, could someone give some nice, simple instructions for implementing it? Thanks!

Stefan Bader (smb) wrote :

It seemed like a stable way to prevent the panic. But as with all timing related races, there is no 100% guarantee. You can find the patch in the hardy kernel repo at kernel.ubuntu.com. Or wait, the next thing, now that the security kernels are out is to bring up a proposed kernel with that fix, so it goes into the normal updates.

Steve Langasek (vorlon) wrote :

Stefan,

Do you know if this bug still needs fixed in karmic as well?

Changed in linux (Ubuntu Hardy):
assignee: nobody → Stefan Bader (stefan-bader-canonical)
importance: Undecided → High
Steve Langasek (vorlon) wrote :

Accepted into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Hardy):
status: New → Fix Committed
tags: added: verification-needed

I think I have the same issue with the latest kernel on Jaunty 9.04 running on an HP 2140 Netbook (atom, 1GB, 120GB, etc). The kernel print's "Starting up..." and then panics with a stack trace similar to the one in comment #8. I can reliably work-around it using acpi=off but then I loose hyper-threading and acpi power management.

Stefan, will you be promoting this fix in Jaunty?

What's odd is that the latest kernel in 8.10 (intrepid) works fine. I've never had this problem on this laptop. (Of course, the timing could be just enough different to avoid the race).

Thanks,
Ben McCann

I cannot positively confirm this bug on the Acer Aspire One I have after Hardy.
So for me Intrepid, Jaunty and Karmic kernels boot without any problem.
For the HP netbook case it sounds like this should go into a new bug. But make
sure to try booting without "quiet splash" to find out what the last action is
(if necessary, set the console to a small font with "vga=ask"). For the Acer
the interesting fact was that the panic always occurred after setting the
kernels data pages to read-only. And that code has drastically changed after Hardy.

Hi Stefan,

Thanks for your quick response.

I used a 60 line VGA display w/o the splash screen but I can't say for sure where the kernel goes off the rails. It looks like there's a double panic and the second scrolls the first crash off the screen. I do see a series of message with 'ACPI' in them but I can't tell for sure what else was going on when the first crash happened.

I'm attaching a jpeg of the screen.

-Ben McCann

Unfortunately often secondary panics are just because something else went
seriously wrong and do not tell much. Maybe "boot_delay=<millisecs>" and
"pause_on_oops=<seconds>" as boot parameters help here.

Stefan, I've solved my problem by upgrading to 2.6.30. If you're curious, then read on to find out how...

I tried 'pause_on_oops' but it didn't help. It looks like both 'cores' of the hyper-threaded Atom CPU are both panic'ing at roughly the same time. There was no way to prevent crap scrolling off the top of the screen.

I then tried a couple of experiments:

1) The kernel boots fine, with full ACPI support, with maxcpus=1. So, it appears to be SMP related.

2) I booted w/o maxcpus=1, but with acpi=ht to only enable sufficient ACPI support to detect the hyper-threaded processor. That crashes with the same stack trace I posted in comment #64.

I searched launchpad a bit and found https://bugs.launchpad.net/bugs/267254. The work-around suggested there was to run 2.6.30. I installed the linux-image-2.6.30-1-686 package from Debian Sid, rebooted, and everything's fine. ACPI is working *and* both hyperthreads are working.

I still had to fight with wireless by installing broadcom-sta-modules-2.6.30-1-686 (also from Sid) but as of now everything is working fine with Jaunty on my HP 2140 mininote.

Stefan Bader (smb) wrote :

@Ben, good to hear that you found a solution that helps your case. I cannot remember exactly, but I believe maxcpus did not help on the Acer. And I also had no problems testing Intrepid or Jaunty. So I guess that was another issue.

As for the verification of the Hardy bug, I would love to say otherwise, but it seems the fix does not prevent panics completely (though I had long reboot loops with the test kernel and not seen something like this). I re-run the reboot loop with the current proposed kernel and had 2 panics out of maybe 30+ reboots. Maybe others with Aspire Ones running Hardy can give their impression. Mine would be: not 100% ideal but at least a big improvement.

Stefan Bader (smb) wrote :

As I never saw this on anything beyond Hardy, marking upstream as fixed.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.24-24.60

---------------
linux (2.6.24-24.60) hardy-proposed; urgency=low

  [Stefan Bader]

  * SAUCE: init: Add extra mark_rodata_ro quirk for Acer Aspire One
    - LP: #322867

  [Upstream Kernel Changes]

  * USB: EHCI: fix remote-wakeup regression
    - LP: #406419

 -- Stefan Bader <email address hidden> Tue, 18 Aug 2009 18:25:47 +0200

Changed in linux (Ubuntu Hardy):
status: Fix Committed → Fix Released
Kuba (kuba-vodafone) wrote :

Oh no ! My Aspire One with xubuntu 8.04 LTS crashes again with the 2.6.24-24.60 kernel version. I was so happy with the two intermediate versions: 2.6.24-24.46 and 2.6.24.24.52 (sorry I am not so sure about the right release numbers). But let me tell the whole story; after my participation on this blob #50 I have deleted the 2.6.24-23 entry from the system. Two kernel updates have followed: .46 and .52, both without any crash. I was so happy ... Each of these updates overwrote the previous 2.6.24-24-generic entry in the boot file (i.e. menu.lst). After the last update (.60), yesterday, the boot crash has appeared again ! At this point, please could anyone answer to the following questions:
1) How can I rollback to the previous kernel: 2.6.24.24.52 ? Is this the correct release number ?
2) How can I preserve the kernel entry in the boot file (menu.lst) ?
3) Why were the two releases (.46 and .52) automatically overwritten? Can I do something to avoid this in the future ?
4) Are you aware of this problem or is mine only ?
Thanks in advance,
Kuba

Kuba, usually only the initial release kernel an the latest updates kernel are
retained to save space. Generally I am aware of this problem and I test new
kernels on my Aspire One. The problem is, that this seems to be a very strange,
timing related issue. I thought I could prevent it with some code I added, but
found out that with the new kernels this happens again in some cases. Though
rather rarely. I did loops of reboots and in some cases noticed the crash, but
the majority of reboots worked for me.

@ Kuba:

I think the best solution for you, is to switch to Ubuntu Netbook Remix 9.04. That's what I did myself, on an Acer Aspire One A150. My netbook hasn't experienced any kernel panic since.

UNR 9.04 works fine; just as light as Xubuntu.

Kuba (kuba-vodafone) wrote :

For Stefan:

Thanks for your quick answer. In my case, xubuntu (with AspireOne 101-Bb) NEVER reboots without crash. I have tried 10 times already. The suggestion to rollback to the .52 release seems to me the easiest solution, obviously if realizable. I would like to substitute my 2.6.24-19-generic entry with the 2.6.24-24.52 to be used when waiting for the next kernel bug free version.

For Piotr:
Thanks for your suggestion. I would like to migrate to Remix (9.04) as the very last solution. I have too many specific applications on my computer to reinstall the entire system. In any case I will take that solution into account.

Thanks to all of you,
Kuba

Stefan Bader (smb) wrote :

When looking into other issues it was found that there is an Atom specific problem with large pages. We will be adding a patch to automatically work around that in Hardy. But for the time until this gets uploaded and released, the boot option "mem=nopentium" prevents the crash.

description: updated
Changed in linux (Ubuntu Hardy):
status: Fix Released → Fix Committed

Accepted linux into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Sorry, this was supposed to be "hardy-proposed".

Unfortunately I don't have an acer aspire one anymore or that version
of ubuntu installed on any computer.

On Wed, Mar 24, 2010 at 5:22 AM, Martin Pitt <email address hidden> wrote:
> Accepted linux into karmic-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
> --
> Kernel panic after update to 2.6.24-23 on Acer Aspire One netbook
> https://bugs.launchpad.net/bugs/322867
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Hardy: Fix Committed
>
> Bug description:
> After running the latest updates on my Ubuntu Hardy (8.04.2) installation, I rebooted my computer and was met with a multitude of errors which resulted in a kernel panic.  The error messages said something about virtual memory and paging and invalid addresses, and then had the following at the end: kernel panic - not syncing - attempted to kill init.  After which I couldn't do anything of course.
>
> I'm attaching the output of the commands requested, however I was unable to boot into the 2.6.24-23 image, so all of the information contained is probably going to be inconsistent with what you're looking for.  I'll be happy to provide additional logging upon request.
>
> ProblemType: Bug
> Architecture: i386
> Date: Thu Jan 29 13:47:21 2009
> Dependencies:
>
> DistroRelease: Ubuntu 8.04
> NonfreeKernelModules: ath_hal
> Package: linux None [modified: /var/lib/dpkg/info/linux.list]
> PackageArchitecture: i386
> ProcEnviron:
>  PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> SourcePackage: linux-meta
> Uname: Linux 2.6.24-22-generic i686
>
> ---
>
> Work-around: Booting with "mem=nopentium" prevents the crash.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/322867/+subscribe
>

This bug was fixed in the package linux - 2.6.24-27.69

---------------
linux (2.6.24-27.69) hardy-proposed; urgency=low

  [Colin Ian King]

  * SAUCE: Disable 4MB page tables for Atom, work around errata AAE44
    - LP: #523112, #322867

  [Stefan Bader]

  * Fix build failure in bnx2
    - LP: #435185

  [Upstream Kernel Changes]

  * bnx2: Add PCI ID for 5716.
    - LP: #435185
  * bnx2: Add PCI ID for 5716S.
    - LP: #435185
 -- Stefan Bader <email address hidden> Thu, 18 Mar 2010 00:13:51 +0000

Changed in linux (Ubuntu Hardy):
status: Fix Committed → Fix Released
nUboon2Age (nuboon2age) on 2010-08-28
summary: - Kernel panic after update to 2.6.24-23 on Acer Aspire One netbook
+ After update to 2.6.24-23 on Acer Aspire One netbook; Kernel panic - not
+ syncing - attempted to kill init!
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers